solscan logo
Register NowRegister Now

account transfer total

get

https://pro-api.solscan.io/v2.0/account/transfer/total

Get transfer data of an account. Defaults to the last 20 days if no time filters are specified. Hard-capped at 10 million records in all cases — tighten filters if you hit the limit to avoid truncated results.

QUERY PARAMS

address

string

required

Solana wallet address

activity_type

array

Type of transfer

token_account

string

Filter transfers for a specific token account in the wallet

from

string

Filter transfer data with direction is from one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?from=address1,address2. Maximum 5 addresses

exclude_from

string

Filter transfer data with direction is not from one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?exclude_from=address1,address2. Maximum 5 addresses

to

string

Filter transfer data with direction is to one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?to=address1,address2. Maximum 5 addresses

exclude_to

string

Filter transfer data with direction is not to one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?exclude_to=address1,address2. Maximum 5 addresses

token

string

Filter by token address. For native SOL transfers, use So11111111111111111111111111111111111111111. You can filter by multiple addresses by separating them with commas. Example: ?token=address1,address2. Maximum 5 addresses

amount

array

Filter by amount range for a specific token. Example: ?amount[]=1&amount[]=2&token=So11111111111111111111111111111111111111112

Maximum allowed values: 2

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276. Default: 3 weeks ago.

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

exclude_amount_zero

boolean

Exclude transfers with zero amount

flow

string

Filter by transfer direction: in or out

value

array

Filter by value range (dollar). Example: ?value[]=1&value[]=10

Maximum allowed values: 2

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

data

number

Total transfer count of an account

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples